Skip to content
Start here

Close browser session.

browser_rendering.devtools.browser.delete(strsession_id, BrowserDeleteParams**kwargs) -> BrowserDeleteResponse
DELETE/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}

Closes an existing browser session.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Account ID.

session_id: str

Browser session ID to close.

formatuuid
ReturnsExpand Collapse
class BrowserDeleteResponse:
status: Literal["closing", "closed"]
One of the following:
"closing"
"closed"

Close browser session.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
browser = client.browser_rendering.devtools.browser.delete(
    session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(browser.status)
{
  "status": "closing"
}
Returns Examples
{
  "status": "closing"
}